{% set order = orderDetails.getPrestashopOrder %}
{% set product = orderDetails.product?orderDetails.product:orderDetails.offlineProduct %}
{% set class = orderDetails.product?"product":"offlineProduct" %}

{% set quantity_validated_class = "d-none" %}
    {% if(orderDetails.getQuantityValidated == null and order.getStatus == 2) %}
        {% set quantity_validated_class = "d-block" %}
    {% endif %}
    {% set quantity_ordered_class = "d-none" %}
    {% if(order.getStatus == 0) %}
        {% set quantity_ordered_class = "d-block" %}
    {% endif %}
<tr>
    <td>{{ product.name }}</td>
    <td>
        {% if order.getStatus == 0 %}
            <form class="change_wholesale_price_form">
                <input type="text"
                       class="wholesale_price_input w-100 form-control"
                       data-id="{{ product.id }}" data-class="{{ class }}"
                       value="{{ product.wholesalePrice }}">
                <button type="submit"
                        class="btn btn-success w-100 save_wholesale_price text-uppercase">
                    Save
                </button>
            </form>
        {% else %}
            {{ product.wholesalePrice }}
        {% endif %}
    </td>
    <td>
        {% if product.manufacturer != null %}
            {{ product.manufacturer.name }}
        {% else %}
            <span class="badge badge-warning">None brand</span>
        {% endif %}
    </td>
    <td>{{ product.reference }}</td>
    <td>{{ orderDetails.orders|join(',') }}</td>
    <td class="change_quantity_ordered" data-id="{{ order.id }}">
        <form class="change_quantity_ordered_form {{ quantity_ordered_class }}"
              data-id="{{ orderDetails.id }}">
            <input type="text"
                   class="quantity_ordered_input w-100 form-control"
                   data-id="{{ orderDetails.id }}"
                   value="{{ orderDetails.getQuantity }}">
            <button type="submit"
                    class="btn btn-success w-100 save_quantity_ordered text-uppercase">
                Save
            </button>
        </form>
        {% if(order.getStatus != 0) %}
            {{ orderDetails.getQuantity }}
        {% endif %}

    </td>


    <td class="change_quantity_validated" data-id="{{ order.id }}">
        <form class="change_quantity_validated_form {{ quantity_validated_class }}"
              data-id="{{ orderDetails.id }}">
            <input type="text"
                   class="quantity_validated_input w-100 form-control"
                   data-id="{{ orderDetails.id }}"
                   value="{{ orderDetails.getQuantityValidated }}">
            <button type="submit"
                    class="btn btn-success w-100 save_quantity_validated text-uppercase">
                Save
            </button>
        </form>
        {% if(orderDetails.getQuantityValidated != null and order.getStatus == 2) %}
            {{ orderDetails.getQuantityValidated }}
        {% endif %}

    </td>
</tr>
